
<?php



$servername = "localhost";
$username = "atentovo_usr";
$password = "G@01t@02e@03";
$dbname = "atentovo_gtespeec_sprecdatabase";


// Create connection
$conn = mysqli_connect($servername, $username, $password, $dbname);
// Check connection
if (!$conn) {
    die("Connection failed: " . mysqli_connect_error());
}




//esto pone la hora de bogota

date_default_timezone_set("America/Bogota" );

//luego define la fecha de hoy

$eltimestamp=date("y/m/d")." - ".date("h:i:s a");


 

$tipodereporte =  mysqli_real_escape_string($conn, $_POST['nameradio']);
$nombre =  mysqli_real_escape_string($conn, $_POST['namenombre']);
$identificacion = mysqli_real_escape_string($conn, $_POST['nameId']);
$empresa = mysqli_real_escape_string($conn, $_POST['nameEmpresa']);
$cargo = mysqli_real_escape_string($conn, $_POST['namecargo']);
$linea = mysqli_real_escape_string($conn, $_POST['namelinea']);
$lugar = mysqli_real_escape_string($conn, $_POST['namelugar']);
$lugarespecifico = mysqli_real_escape_string($conn, $_POST['namelugarespecifico']);
$probabilidad = mysqli_real_escape_string($conn, $_POST['nameprobabilidad']);
$severidad = mysqli_real_escape_string($conn, $_POST['nameseveridad']);
$reporte = mysqli_real_escape_string($conn, $_POST['namereporte']);
$plan = mysqli_real_escape_string($conn, $_POST['nameplan']);
$estado = mysqli_real_escape_string($conn, $_POST['nameestado']);


$ticket = uniqid();// <---------

// $tipodereporte =  $_POST["nameradio"];
// $nombre = $_POST["namenombre"];
// $identificacion = $_POST["nameId"]; 
// $empresa = $_POST["nameEmpresa"] ; 
// $cargo = $_POST["namecargo"]  ; 
// $linea = $_POST["namelinea"]  ;
// $lugar = $_POST["namelugar"] ;
// $lugarespecifico = $_POST["namelugarespecifico"] ;
// $probabilidad = $_POST["nameprobabilidad"];
// $severidad = $_POST["nameseveridad"];
// $reporte = $_POST["namereporte"] ;
// $plan = $_POST["nameplan"];
// $estado = $_POST["nameestado"];
// $ticket = uniqid();// <---------






$tipodereporte = utf8_decode($tipodereporte);
$nombre = utf8_decode($nombre);
$identificacion = utf8_decode($identificacion);
$empresa = utf8_decode($empresa);
$cargo = utf8_decode($cargo);
$linea = utf8_decode($linea);
$lugar = utf8_decode($lugar);
$lugarespecifico = utf8_decode($lugarespecifico);
$probabilidad = utf8_decode($probabilidad);
$severidad = utf8_decode($severidad);
$reporte = utf8_decode($reporte);
$plan = utf8_decode($plan);



$riesgo = $probabilidad * $severidad;

$descripcionderiesgo = "";

if($riesgo <= 4){$descripcionderiesgo="Riesgo bajo";}
if($riesgo == 4 ||$riesgo == 5 ||$riesgo == 6 ||$riesgo == 7 ||$riesgo == 8 ||$riesgo == 9 ||$riesgo == 10){$descripcionderiesgo="Riesgo medio";}
if($riesgo == 11 ||$riesgo == 12 ||$riesgo == 13 ||$riesgo == 14 ){$descripcionderiesgo="Riesgo alto";}
if($riesgo > 15 ){$descripcionderiesgo="Riesgo crítico";}




$salida = "";



$sql = "INSERT INTO sprectable (id, tipo, nombre,identificacion,empresa,cargo,linea,lugar,lugarespecifico,probabilidad,severidad,riesgo,valoracion,reporte,plan,timestamp,estado,seguimiento,ticket)
VALUES (null,'$tipodereporte','$nombre','$identificacion','$empresa','$cargo','$linea','$lugar','$lugarespecifico','$probabilidad','$severidad','$riesgo','$descripcionderiesgo','$reporte','$plan','$eltimestamp','$estado','$seguimiento','$ticket')";
if (mysqli_query($conn, $sql)) {
    $salida = "Reporte guardado con éxito bajo el ticket: ".$ticket;
} else {
    $salida = "Error: " . $sql . "<br>" . mysqli_error($conn);
}



?>


<!doctype html>
<html>
<head>
    <title>Resultado</title>

    <meta charset="utf-8" />
    <meta http-equiv="Content-type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type="text/css">
    body {
        background-color: #f0f0f2;
        margin: 0;
        padding: 0;
        font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
        
    }
    div {
        width: 600px;
        margin: 5em auto;
        padding: 50px;
        background-color: #fff;
        border-radius: 1em;
    }

    .relleno{
        text-align: center;
    }


    @media (max-width: 700px) {
        body {
            background-color: #fff;
        }
        div {
            width: auto;
            margin: 0 auto;
            border-radius: 0;
            padding: 1em;
        }
    }
    </style>    
</head>

<body>
<div class="relleno" >
    <h1>Resultado:</h1>
    <hr>
    <h2><?php echo $salida; ?></h2>
    <br>
    <a href="https://atentovoice.co/reporte" class="btn btn-success btn-lg">Terminar</a></p>

    
</div>
</body>
</html>








<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/png" href="icono.png" sizes="192x192">

    <title>Resultados</title>

    <!-- Bootstrap Core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="css/stylish-portfolio.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic" rel="stylesheet"
        type="text/css">

</head>

<body>

    <div class="container">

    <div>
     
    </div>
    

    </div>

</body>

</html>

